Skip to main content
Get Taxonomy changes
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/taxonomy/changes \
  --header 'Authorization: Bearer <token>'
{
  "count": 1,
  "changes": [
    {
      "operation_type": "create_domain",
      "content": {
        "domain_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
        "domain_name": "HR management"
      },
      "timestamp": "2021-01-21T17:32:28"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
integer
default:100

The maximal number of Taxonomy changes returned, ordered by their timestamp.

Required range: 1 <= x <= 200
Example:

50

offset
integer
default:0

The applied offset for the returned Taxonomy changes, results starting from offset up to offset + limit.

Required range: x >= 0
external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to get the Taxonomy changes for. This only works for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

timestamp_from
required

The earliest timestamp (in IS08601 format) for which you want to retrieve Taxonomy changes. IS08601-formatted date.

Example:

"2025-05-02"

timestamp_to
required

The latest timestamp (in IS08601 format) for which you want to retrieve Taxonomy changes. IS08601-formatted date.

Example:

"2025-05-02"

Response

OK

Default structure for Taxonomy changes.

count
integer
required

Number of available Taxonomy changes for the provided parameters.

Example:

1

changes
object[]
required

Subset of Taxonomy changes starting from offset up to offset + limit.